import { Component, ViewContainerRef, Injector, ComponentFactoryResolver } from '@angular/core';
var ModalContentComponent = (function () {
    function ModalContentComponent(modalContentContainer, injector, componentFactoryResolver) {
        this.modalContentContainer = modalContentContainer;
        this.injector = injector;
        this.componentFactoryResolver = componentFactoryResolver;
    }
    ModalContentComponent.prototype.addContent = function (options, dismiss) {
        var componentFactoryResolver = options.componentFactoryResolver || this.componentFactoryResolver;
        var componentFactory = componentFactoryResolver.resolveComponentFactory(options.component);
        this.modalContentRef = this.modalContentContainer
            .createComponent(componentFactory, this.modalContentContainer.length, options.injector || this.injector);
        var instance = this.modalContentRef.instance;
        instance.dismiss = dismiss;
        this.handleResolve(options, instance);
    };
    ModalContentComponent.prototype.ngOnDestroy = function () {
        this.modalContentRef.destroy();
    };
    ModalContentComponent.prototype.handleResolve = function (options, instance) {
        var resolve = options.resolve || {};
        if (resolve.then) {
            resolve.then(function (data) { return instance.context = data; });
        }
        else if (resolve.subscribe) {
            resolve.subscribe(function (data) { return instance.context = data; });
        }
        else {
            instance.context = resolve;
        }
    };
    ModalContentComponent.decorators = [
        { type: Component, args: [{
                    selector: 're-modal-content',
                    template: '',
                    exportAs: 'modalContent'
                },] },
    ];
    /** @nocollapse */
    ModalContentComponent.ctorParameters = function () { return [
        { type: ViewContainerRef, },
        { type: Injector, },
        { type: ComponentFactoryResolver, },
    ]; };
    return ModalContentComponent;
}());
export { ModalContentComponent };
//# sourceMappingURL=modal-content.component.js.map