import { Injectable, ComponentFactoryResolver } from '@angular/core';
import { RebirthNGConfig } from '../rebirth-ng.config';
import { NotifyComponent } from './notify.component';
var NotifyService = (function () {
    function NotifyService(rebirthNGConfig, componentFactoryResolver) {
        this.rebirthNGConfig = rebirthNGConfig;
        this.componentFactoryResolver = componentFactoryResolver;
    }
    NotifyService.prototype.placement = function (placement) {
        if (this.panelRef) {
            this.panelRef.instance.placement = placement || 'top-right';
        }
        this._placement = placement;
    };
    NotifyService.prototype.open = function (notify, duration) {
        var _this = this;
        if (!this.panelRef) {
            var rootContainer = this.rebirthNGConfig.rootContainer;
            var componentFactory = this.componentFactoryResolver.resolveComponentFactory(NotifyComponent);
            this.panelRef = rootContainer.createComponent(componentFactory, rootContainer.length);
            if (this.placement) {
                this.panelRef.instance.placement = this._placement;
            }
        }
        this.panelRef.instance.notifies = this.panelRef.instance.notifies.concat([notify]);
        if (duration) {
            var timeout_1 = setTimeout(function () {
                clearTimeout(timeout_1);
                _this.close(notify);
            }, duration);
        }
    };
    NotifyService.prototype.close = function (alertModel) {
        this.panelRef.instance.notifies = this.panelRef.instance.notifies.filter(function (alert) { return alert !== alertModel; });
        this.panelRef.changeDetectorRef.markForCheck();
    };
    NotifyService.prototype.closeAll = function () {
        this.panelRef.instance.notifies = [];
        this.panelRef.changeDetectorRef.markForCheck();
    };
    NotifyService.decorators = [
        { type: Injectable },
    ];
    /** @nocollapse */
    NotifyService.ctorParameters = function () { return [
        { type: RebirthNGConfig, },
        { type: ComponentFactoryResolver, },
    ]; };
    return NotifyService;
}());
export { NotifyService };
//# sourceMappingURL=notify.service.js.map